<ion-header>
  <ion-toolbar color="primary">
    <ion-title style="text-align: left">Guia Tour</ion-title>
    <ion-buttons slot="secondary">
      <ion-button routerLink="/places-search">
        <ion-icon slot="icon-only"
                  name="search"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content scrollevents="true"
             style="--offset-top:0px; --offset-bottom:0px;">
  <ion-grid fixed>
    <ion-row>
      <ion-col size="9">
        <ion-text color="primary">
          <span>
            Categorias
          </span>
        </ion-text>
      </ion-col>
      <ion-col size="3">
        <ion-button color="primary"
                    fill="clear"
                    no-margin
                    tabindex="0"
                    text-capitalize
                    routerLink="/tabs/lugar"> 
          <span class="link text-normal">
            Ver mais
          </span>
        </ion-button>
      </ion-col>
    </ion-row>
    <ion-row class="scrollable"
             padding-start>
      <ion-col size="4"
               *ngFor="let place of places">
        <app-card-custom [place]="place"></app-card-custom>

      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col size="9">
        <ion-text color="primary">
          <span class="link text-normal" >
            Próximo a você
          </span>
        </ion-text>
      </ion-col>
      <ion-col size="3">
        <ion-button color="primary"
                    fill="clear"
                    no-margin
                    tabindex="0"
                    text-capitalize
                    routerLink="/tabs/lugar">
          <span class="link text-normal">
            Ver mais
          </span>
        </ion-button>
      </ion-col>
    </ion-row>
    <ion-row padding-start>
      <ion-col size="6"
               *ngFor="let place of places">
        <app-card-custom [place]="place"></app-card-custom>
      </ion-col>
    </ion-row>
  </ion-grid>
  <ion-infinite-scroll threshold="100px"
                       (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content loadingSpinner="crescent">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>

</ion-content>